Public Member Functions

# wxDialUpEvent Class Reference
[Events]

`#include <wx/dialup.h>`

Inheritance diagram for wxDialUpEvent:
[legend]

## Detailed Description

This is the event class for the dialup events sent by wxDialUpManager.

##

Library: wxCore
Category: Events

## Public Member Functions
| wxDialUpEvent (bool isConnected, bool isOwnEvent)
| Constructor is only used by wxDialUpManager.
bool | IsConnectedEvent () const
| Is this a `CONNECTED` or `DISCONNECTED` event? In other words, does it notify about transition from offline to online state or vice versa?
bool | IsOwnEvent () const
| Does this event come from wxDialUpManager::Dial() or from some external process (i.e.

List of all members.

## Constructor & Destructor Documentation

wxDialUpEvent::wxDialUpEvent | ( | bool | isConnected,
|  | bool | isOwnEvent |
| ) |  |  |

Constructor is only used by wxDialUpManager.

## Member Function Documentation

bool wxDialUpEvent::IsConnectedEvent | ( |  | ) | const

Is this a `CONNECTED` or `DISCONNECTED` event? In other words, does it notify about transition from offline to online state or vice versa?

bool wxDialUpEvent::IsOwnEvent | ( |  | ) | const

Does this event come from wxDialUpManager::Dial() or from some external process (i.e.

does it result from our own attempt to establish the connection)?

|  | [ top ]